> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/elastic-ip/changeeipbindtype.md).

# ChangeEipBindType

## 1. API Description

This API (ChangeEipBindType) is used to change elastic IP mode.

{% hint style="info" %}
**Notes**

* Only EIPs bound to a network interface or a HaVip support this operation.
* To change to the high-speed mode, the backend needs to be configured for the user. Please contact Console Support.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                     | Description                                                                                                                                                                 |
| -------------- | -------- | -------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eipId          | Yes      | String                                                   | <p>ID of the EIP whose association mode is to be changed.</p><p>It can be obtained by calling <a href="/api-reference/zec/elastic-ip/describeeips.md">DescribeEips</a>.</p> |
| bindType       | Yes      | [BindType](/api-reference/zec/datastructure.md#bindtype) | <p>Association mode.</p><p>It takes effect when the EIP is bound to a network interface or a HaVip.</p><p>The default mode is the regular NAT mode.</p>                     |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Change the association mode of an elastic IP.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ChangeEipBindType
<Common Request Params>

Request：
{
    "eipId": "<eipId1>",
    "bindType": "FullNat"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                          | Description                                                                          |
| ---------------- | --------------------------------------------------- | ------------------------------------------------------------------------------------ |
| 400              | INVALID\_EIP\_BINDING\_MODE\_UNSUPPORTED            | EIP Block does not support NAT binding mode.                                         |
| 404              | INVALID\_EIP\_NOT\_FOUND                            | Elastic IP does not exist.                                                           |
| 400              | OPERATION\_DENIED\_EIP\_NOT\_ASSIGNED               | Elastic IP is not bound.                                                             |
| 400              | OPERATION\_DENIED\_EIP\_NOT\_ASSIGN\_NIC\_OR\_HAVIP | Modifying the association mode is supported only for EIPs bound to a NIC or a HaVip. |
